Get paginated reward entries for a specific reward
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/rewards/{rewardId}/entries \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/rewards/{rewardId}/entries"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/rewards/{rewardId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"edges": [
{
"id": "<string>",
"organisationId": "<string>",
"communityId": "<string>",
"rewardId": "<string>",
"userId": "<string>",
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"totalEntries": 123,
"entries": [
{
"allocationId": "<string>",
"amount": 123,
"createdAt": "<string>"
}
],
"tags": [
"<string>"
],
"campaigns": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"additionalCommunityIds": [
"<string>"
],
"rewardAssetIds": [
"<string>"
],
"checkByDate": "<string>",
"checkedAt": "<string>",
"drawnAt": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Reward
Get paginated reward entries for a specific reward
Retrieves a paginated list of all values for a given variable configuration.
GET
/
rewards
/
{rewardId}
/
entries
Get paginated reward entries for a specific reward
Authorizations
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

